#
# Aliases
#


# General aliases
alias .         'exit'
alias ?         'apropos'

# Keep track of dirs and hop back easily.
# 'pushdsilent' above.
alias back      'pushd -'
alias cd        'pushd'
alias cdrem     'cd $dirrem'
alias remdir    'set dirrem=$cwd'

# Short forms and misspeelings
alias f         'finger'
alias grp       'grep'
alias grpe      'grep'

# Various ls(1) variants
# HP/UX has actual ll and la commands, but we'll still alias them anyway
alias ls        'ls -F'
alias ll        'ls -al'
alias lm        'll \!* | $PAGER'

# Handy replacement commands
alias manread   'groff -Tascii -man < \!^ | less'
alias wnm       'w | grep -v \^$user'
alias xttitle   'printf "\033]0;\!*\007"'

# Various special ways of running commands.  Include completion tweaks so
# the shell knows to complete commands.
alias page      '\!* | $PAGER'
complete page 'p/1/c/'
alias qb        '\!* >& /dev/null &'
complete qb 'p/1/c/'

# Slightly formatted file output
alias format    'cat \!* | pr -t -e4'
alias formatc   'cat \!* | pr -t -e4 -n" "4'

# I HATE when people 'alias mail something'
unalias mail

# I long since stopped using any of these (some of them I never did), but
# keep aliases to avoid bad or wrong default behavior.
alias inc       'inc -notruncate'
alias pine      'pine -z'
alias pico      'pico -z'
alias more      'more -e'

# I guess at some point I sometimes wanted this?
if( -X gnuls ) then
	alias gls 'gnuls --color=tty'
	alias gll 'gnuls -la --color=tty'
endif
