# Some default completions.  Especially stuff it really seems like tcsh
# should do itself...

# Only cd to directories
complete cd 'p/1/d/'

# 'time' builtin should expand a command!  WTF?
complete time 'p/1/c/'

# So should nice!
complete nice 'p/1/c/'

# Can only [un]set vars...
complete   set 'p/1/s/'
complete unset 'p/1/s/'

# And [un]setenv env vars
complete   setenv 'p/1/e/'
complete unsetenv 'p/1/e/'

# Also, env(1) does stuff with env vars.  The completions let me down
# here, though.  I _want_ to say "there can be as many env's as you want,
# from 0..infinite, and then commands", but apparently I can't say
# that...
complete env 'p/1/e/=/' 'p/2/c/'

# Some user-facing stuff
complete id 'p/1/u/'
complete f      'p/1/u/'
complete finger 'p/1/u/'

# Default ssh hosts
# So, complete doesn't know anything about nesting, and will crap itself
# if there are '/'s inside the ``'d string.  But, apparently
# undocumentedly, we can use any char as the delimiter for the parts of
# the complete string, not just '/', so...
complete ssh 'p,1,`sed -n "/^host [a-z0-9_. -]/Is/^host *//Ip" ~/.ssh/config`,'

# I believe, via the alias, this works right on all platforms...
complete kill 'p/*/`psa | awk "{ print \\$2 }"`/'
