# OS detection logic

# The following OSen are supported:
# FreeBSD, PicoBSD, OpenBSD, NetBSD, BSDi BSD/OS, HP/UX, Solaris,
# NeXT Mach, and Linux
# We'd still like the following, if anyone has stuff for 'em:
# AIX, Tru64/Ultrix/DEC UNIX/name-of-the-week, IRIX, SCO, or
# just about anything else

# CREDITS
# Original conglomeration and ongoing maintenance
#         by Matthew Fuller <fullermd@over-yonder.net>
# BSD/OS, NetBSD, OpenBSD, HP/UX, Mach, and some flippable settings
#         contributed by Greg Gollinger <gollingj@sighup.org>


# Figure out what OS we're running
set _tcshrc_osvers=`uname -sr`
switch("$_tcshrc_osvers")
	case "FreeBSD*":
	case "PicoBSD*":
		set _tcshrc_runos=FREEBSD
		breaksw
	case "NetBSD*":
	case "OpenBSD*":
		set _tcshrc_runos=NETBSD
		breaksw
	case "BSD/OS*":
		set _tcshrc_runos=BSDI
		breaksw
	# Order of these is important!
	case "SunOS\ [1234]*":
		set _tcshrc_runos=SUNOS
		breaksw
	case "SunOS\ *":
		set _tcshrc_runos=SOLARIS
		breaksw
	case "Linux*":
		set _tcshrc_runos=LINUX
		breaksw
	case "HP-UX\ ??09*":
		set _tcshrc_runos=HP9
		breaksw
	case "HP-UX\ 1[01]*":
		set _tcshrc_runos=HP1x
		breaksw
	case "HP-UX\ ??1[01]*":
		set _tcshrc_runos=HP1x
		breaksw
	default:
		# NeXT Mach is notable in lacking uname, the fools
		if ( -x /LocalApps) then
			set _tcshrc_runos=NEXT
		else
			# We'll use a set of 'defaults' for this
			set _tcshrc_runos=UNKNOWN
		endif
		breaksw
endsw

