# Determine EUID in an os-dependent way.
# n.b. Builtin ${euid} only in 6.18.0+ (2012), so can't assume it

switch("$_tcshrc_runos")
	case "FREEBSD":
	case "NETBSD":
	case "BSDI":
	case "NEXT":
	case "UNKNOWN":
	case "SUNOS":
	case "LINUX"
	case "HP9":
	case "HP1x":
		set _tcshrc_euid=`id -u`
		breaksw
	case "SOLARIS":
		set _tcshrc_euid=`id | sed "s/[a-z\(\)\=]//g" | awk '{print $1}'`
		breaksw
	default:
		echo "Guessing id -u works..."
		set _tcshrc_euid=`id -u`
endsw
