#
# Setup our path
#
# Other user overrides happen later; this is just stuff based on the
# system and OS, etc.
#


# This is the basic, 'normal' path we'll basically always have
set path=(/usr/local/{bin,sbin} /usr/{bin,sbin} /{bin,sbin})

switch("$_tcshrc_runos")
	case "FREEBSD":
	case "NETBSD":
	case "BSDI":
	case "LINUX":
	case "UNKNOWN":
		# X
		if ( -x /usr/X11R6/bin ) then
			set path=($path /usr/X11R6/bin)
		else if ( -x /usr/X11/bin ) then
			set path=($path /usr/X11/bin)
		endif
		breaksw
	case "SUNOS":
		# Bastard mix of BSD and SysV
		set path=($path /usr/ucb)
		if ( -x /usr/openwin/bin ) then
			set path=($path /usr/openwin/bin)
		endif
		breaksw
	case "SOLARIS":
		# Blah, SysV...
		set path=($path /usr/{ucb,ccs/bin})
		if ( -x /usr/openwin/bin ) then
			set path=($path /usr/openwin/bin)
		endif
		breaksw
	case "HP9"
		# Very strange flavor, generally BSDish
		set path = ($path /usr/ucb /etc /usr/libexec)
		if ( -x /usr/X11/bin ) then
			set path = ($path /usr/X11/bin)
		endif
		if ( -x /usr/vue/bin ) then
			set path = ($path /usr/vue/bin)
		endif
		breaksw
	case "HP1x"
		# HP made an effort to make 10.x and 11.x SysV
		# 10.x is a digusting perversion of BSD and SysV
		# 11.x is at least mostly SysV-ish
		# XXX /opt/* is questionable, may be too big to fit in $path
		set path = ($path /usr/ucb /opt/* /usr/ccs/bin /usr/libexec)
		if ( -x /usr/lbin ) then
			set path = ($path /usr/lbin)
		endif
		if ( -x /usr/X11/bin ) then
			set path = ($path /usr/X11/bin)
		endif
		if ( -x /usr/vue/bin) then
			set path = ($path /usr/vue/bin)
		endif
		breaksw
	case "NEXT":
		# You laugh, but they're nice boxes, and they're still around
		set path = ($path /usr{etc,ucb,gnu/bin,lib} /etc /LocalApps \
		            /NeXTApps)
		breaksw
endsw

# And the bits we may always use
if( -x ~/bin ) then
	# Stick this on the front of the list
	set path=(~/bin $path)
endif
if( -x /usr/contrib/bin ) then
	set path=($path /usr/contrib/bin)
endif
if( -x /usr/share/bin ) then
	set path=($path /usr/share/bin)
endif
if( -x /usr/local/scripts ) then
	set path=($path /usr/local/scripts)
endif
if( -x /usr/games ) then
	set path=($path /usr/games)
endif

# Additions from config
if( ${?_tcshrc_path_add} ) then
	set path=($path $_tcshrc_path_add)
endif
