# Special shell vars that have meaning to tcsh itself

# How much history to keep and the format.
# default=100, way too small.  Default format doesn't include date.
set history=(30000 '%h  %Y-%W-%D %P  %R\n')

# Please to be never doing this crap
set noding
unset autologout
unset autolist

# Let mw know when stuff finishes
set notify

# Don't ^D -> logout, that's way too easy to do accidentally
set ignoreeof

# Needed for csh, which we no longer support
#set filec

# Don't try to be too helpful, $shell...
unset noclobber

# Maybe we'll want to try this someday...
#set printexitvalue

# Be quiet and normal about manipulating the dir stack
set pushdtohome
set pushdsilent

# Change what's considered a 'word' for fwd/back-word
set wordchars="*?[]~="

# Auto-time long-running processes.  Maybe mess with the format of time's
# output too?  The default has some not too useful bits in it...
# default:    %Uu %Ss %E %P %X+%Dk %I+%Oio %Fpf+%Ww
set time=(60 "%Uu %Ss %E %P %K-%Mk %I+%Oio %Fpf+%Ww")

# For $DEITY's sake, let us escape stuff in strings!
set backslash_quote

# Systems are fast enough, we _so_ don't care...
set autorehash

# This is probably more useful
set globstar

# Terminals are fast
set highlight

# We don't want to completely dedupe history, but piling up the same
# command a zillion times in a row doesn't help.
set histdup='prev'

# And stop friggin' de-escaping strings in my history!
set histlit

# Let's keep the ^D output from going incredibly stupid, without
# involving a stupid-ass ask in the process too early.  If it'll fill up
# 100 lines, I probably don't wanna do it anyway.
set listmaxrows=100

# Make sure times always line up
set padhour
