# Handling for state-saving config

if( ! -d $_tcshrc_state_dir || ! -w $_tcshrc_state_dir ) then
	exit
endif

# tty's like "pts/5" mean this won't work right, what with trying to
# create a directory as the filename...
set _tty=`echo -n "$tty" | sed -e "s,/,_,g"`

# History
set histfile=$_tcshrc_state_dir/history.$HOST.$user.$_tty
set savehist=($history merge)
# This properly collapses dupes; idempotent
history -M

# Dir stack
set dirsfile=$_tcshrc_state_dir/dirs.$HOST.$user.$_tty
set savedirs=50

unset _tty

# dirs -L is *NOT* idempotent.  Don't bother loading this if we
# already have >1 entry on the stack.
if( ${#dirstack} <= 1 ) then
	# dirs -L changes our current dir to the dir at the top of
	# the stack, and doesn't do any sort of merging.  Bad monkey!
	set _curwd=$cwd
	dirs -L
	pushd $_curwd
	unset _curwd
endif
